Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExCCommand.h

Go to the documentation of this file.

    00001 /************************************************************************/
    00002 /* Ex Nihlo Engine by Hermanns Christophe                                                               */
    00003 /************************************************************************/
    00004 /* This program is free software; you can redistribute it and/or                */
    00005 /* modify it under the terms of the GNU General Public License                  */
    00006 /* as published by the Free Software Foundation; either version 2               */
    00007 /* of the License, or (at your option) any later version.                               */
    00008 /*                                                                                                                                              */
    00009 /* This program is distributed in the hope that it will be useful,              */
    00010 /* but WITHOUT ANY WARRANTY; without even the implied warranty of               */
    00011 /* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                 */
    00012 /*                                                                                                                                              */
    00013 /* See the GNU General Public License for more details.                                 */
    00014 /*                                                                                                                                              */
    00015 /* You should have received a copy of the GNU General Public License    */
    00016 /* along with this program; if not, write to the Free Software                  */
    00017 /* Foundation, Inc., 59 Temple Place - Suite 330,                                               */
    00018 /* Boston, MA  02111-1307, USA.                                                                                 */
    00019 /*                                                                                                                                              */
    00020 /* If you use a important part of this code please send me a mail               */
    00021 /* I just want to see where my code go thks :)                                                  */
    00022 /************************************************************************/
    00023
    00024 /************************************************************************/
    00025 /* Contact                                                              */
    00026 /************************************************************************/
    00027 /* ExNihilo Website :www.ploksoftware.org                               */
    00028 /*                                                                      */
    00029 /* Hermanns Christophe ExNihilo creator and main programmer             */
    00030 /*                                                                      */
    00031 /* Mail             : Data@ploksoftware.org                                                             */
    00032 /* ICQ              : 8030901                                                                                   */
    00033 /* MSN Messenger    : Data_7@hotmail.com                                                                */
    00034 /*                                                                      */
    00035 /* Benjamin Michotte Linux port, webmaster                              */
    00036 /*                                                                      */
    00037 /* Mail             :binny@ploksoftware.org                             */
    00038 /*                                                                      */
    00039 /************************************************************************/
    00040
    00041 /************************************************************************/
    00042 /* File Description                                                                                             */
    00043 /************************************************************************/
    00044 /* File Name   :ExCCommand.h                                                                                    */
    00045 /*                                                                                                                                              */
    00046 /* Star Date   :03/15/2002                                                                                              */
    00047 /*                                                                                                                                              */
    00048 /* Last Update :                                                        */
    00049
    00050 #ifndef __EXCCOMMAND_H__
    00051 #define __EXCCOMMAND_H__
    00052 //--------------------------------
    00053 // File to include
    00054 //--------------------------------
    00055 #include "ExDefine.h"
    00056 //--------------------------------
    00057 class ExCCommand
    00058 {
    00059 protected:
    00060 //--------------------------------
    00061 // Variable
    00062 //--------------------------------
    00063 public:
    00064         int             m_Command;
    00065         int             m_MousePosx;
    00066         int             m_MousePosy;
    00067 //--------------------------------
    00068 // Constructor // Destructor
    00069 //--------------------------------
    00070         ExCCommand();
    00071         ExCCommand(int Command);
    00072         ExCCommand(const ExCCommand& Command);
    00073         ExCCommand(int Command, int MousePosX, int MousePosY);
    00074         ~ExCCommand();
    00075 //--------------------------------
    00076 // Methode
    00077 //--------------------------------
    00078
    00079 };
    00080 //--------------------------------------------------------------
    00081 //First all command key mouse ,...
    00082 //--------------------------------------------------------------
    00083 #define NO_INPUT                                                        40000
    00084 #define MOUSE_LEFT_BUTTON_UP                            40001
    00085 #define MOUSE_LEFT_BUTTON_DOWN                          40002
    00086 #define MOUSE_RIGHT_BUTTON_UP                           40003
    00087 #define MOUSE_RIGHT_BUTTON_DOWN                         40004
    00088 #define MOUSE_MIDDLE_BUTTON_UP                          40005
    00089 #define MOUSE_MIDDLE_BUTTON_DOWN                        40006
    00090 #define KEYBOARD_DOWN_ESC                                       10001
    00091 #define KEYBOARD_DOWN_F1                                        10002
    00092 #define KEYBOARD_DOWN_F2                                        10003
    00093 #define KEYBOARD_DOWN_F3                                        10004
    00094 #define KEYBOARD_DOWN_F4                                        10005
    00095 #define KEYBOARD_DOWN_F5                                        10006
    00096 #define KEYBOARD_DOWN_F6                                        10007
    00097 #define KEYBOARD_DOWN_F7                                        10008
    00098 #define KEYBOARD_DOWN_F8                                        10009
    00099 #define KEYBOARD_DOWN_F9                                        10010
    00100 #define KEYBOARD_DOWN_F10                                       10011
    00101 #define KEYBOARD_DOWN_F11                                       10012
    00102 #define KEYBOARD_DOWN_F12                                       10013
    00103 #define KEYBOARD_DOWN_EXP                                       10014
    00104 #define KEYBOARD_DOWN_1                                         10015
    00105 #define KEYBOARD_DOWN_2                                         10016
    00106 #define KEYBOARD_DOWN_3                                         10017
    00107 #define KEYBOARD_DOWN_4                                         10018
    00108 #define KEYBOARD_DOWN_5                                         10019
    00109 #define KEYBOARD_DOWN_6                                         10020
    00110 #define KEYBOARD_DOWN_7                                         10021
    00111 #define KEYBOARD_DOWN_8                                         10022
    00112 #define KEYBOARD_DOWN_9                                         10023
    00113 #define KEYBOARD_DOWN_0                                         10024
    00114 #define KEYBOARD_DOWN_ENTER                                     10025
    00115 #define KEYBOARD_DOWN_SPACE                                     10026
    00116 #define KEYBOARD_DOWN_RSHIFT                            10027
    00117 #define KEYBOARD_DOWN_LSHIFT                            10028
    00118 #define KEYBOARD_DOWN_ARROW_UP                          10029
    00119 #define KEYBOARD_DOWN_ARROW_DOWN                        10030
    00120 #define KEYBOARD_DOWN_ARROW_LEFT                        10031
    00121 #define KEYBOARD_DOWN_ARROW_RIGHT                       10032
    00122 #define KEYBOARD_DOWN_PAGE_UP                           10033
    00123 #define KEYBOARD_DOWN_PAGE_DOWN                         10034
    00124 #define KEYBOARD_DOWN_HOME                                      10035
    00125 #define KEYBOARD_DOWN_END                                       10036
    00126 #define KEYBOARD_DOWN_INSERT                            10037
    00127 #define KEYBOARD_DOWN_A                                         10038
    00128 #define KEYBOARD_DOWN_Z                                         10039
    00129 #define KEYBOARD_DOWN_E                                         10040
    00130 #define KEYBOARD_DOWN_R                                         10041
    00131 #define KEYBOARD_DOWN_T                                         10042
    00132 #define KEYBOARD_DOWN_Y                                         10043
    00133 #define KEYBOARD_DOWN_U                                         10044
    00134 #define KEYBOARD_DOWN_I                                         10045
    00135 #define KEYBOARD_DOWN_O                                         10046
    00136 #define KEYBOARD_DOWN_P                                         10047
    00137 #define KEYBOARD_DOWN_Q                                         10048
    00138 #define KEYBOARD_DOWN_S                                         10049
    00139 #define KEYBOARD_DOWN_D                                         10050
    00140 #define KEYBOARD_DOWN_F                                         10051
    00141 #define KEYBOARD_DOWN_G                                         10052
    00142 #define KEYBOARD_DOWN_H                                         10053
    00143 #define KEYBOARD_DOWN_J                                         10054
    00144 #define KEYBOARD_DOWN_K                                         10055
    00145 #define KEYBOARD_DOWN_L                                         10056
    00146 #define KEYBOARD_DOWN_M                                         10057
    00147 #define KEYBOARD_DOWN_W                                         10058
    00148 #define KEYBOARD_DOWN_X                                         10059
    00149 #define KEYBOARD_DOWN_C                                         10060
    00150 #define KEYBOARD_DOWN_V                                         10061
    00151 #define KEYBOARD_DOWN_B                                         10062
    00152 #define KEYBOARD_DOWN_N                                         10063
    00153 #define KEYBOARD_DOWN_M_A                                       10064
    00154 #define KEYBOARD_DOWN_M_Z                                       10065
    00155 #define KEYBOARD_DOWN_M_E                                       10066
    00156 #define KEYBOARD_DOWN_M_R                                       10067
    00157 #define KEYBOARD_DOWN_M_T                                       10068
    00158 #define KEYBOARD_DOWN_M_Y                                       10069
    00159 #define KEYBOARD_DOWN_M_U                                       10070
    00160 #define KEYBOARD_DOWN_M_I                                       10071
    00161 #define KEYBOARD_DOWN_M_O                                       10072
    00162 #define KEYBOARD_DOWN_M_P                                       10073
    00163 #define KEYBOARD_DOWN_M_Q                                       10074
    00164 #define KEYBOARD_DOWN_M_S                                       10075
    00165 #define KEYBOARD_DOWN_M_D                                       10076
    00166 #define KEYBOARD_DOWN_M_F                                       10077
    00167 #define KEYBOARD_DOWN_M_G                                       10078
    00168 #define KEYBOARD_DOWN_M_H                                       10079
    00169 #define KEYBOARD_DOWN_M_J                                       10080
    00170 #define KEYBOARD_DOWN_M_K                                       10081
    00171 #define KEYBOARD_DOWN_M_L                                       10082
    00172 #define KEYBOARD_DOWN_M_M                                       10083
    00173 #define KEYBOARD_DOWN_M_W                                       10084
    00174 #define KEYBOARD_DOWN_M_X                                       10085
    00175 #define KEYBOARD_DOWN_M_C                                       10086
    00176 #define KEYBOARD_DOWN_M_V                                       10087
    00177 #define KEYBOARD_DOWN_M_B                                       10088
    00178 #define KEYBOARD_DOWN_M_N                                       10089
    00179 #define KEYBOARD_DOWN__                                         10090
    00180 #define KEYBOARD_DOWN_2POINTS                           10091
    00181 #define KEYBOARD_DOWN_POINT                             10092
    00182 #define KEYBOARD_DOWN_BACKSPACE                         10093
    00183 #define KEYBOARD_DOWN_TAB                                       10094
    00184 #define KEYBOARD_DOWN_CTRL_U                            10095
    00185 #define KEYBOARD_UP_ESC                                         20001
    00186 #define KEYBOARD_UP_F1                                          20002
    00187 #define KEYBOARD_UP_F2                                          20003
    00188 #define KEYBOARD_UP_F3                                          20004
    00189 #define KEYBOARD_UP_F4                                          20005
    00190 #define KEYBOARD_UP_F5                                          20006
    00191 #define KEYBOARD_UP_F6                                          20007
    00192 #define KEYBOARD_UP_F7                                          20008
    00193 #define KEYBOARD_UP_F8                                          20009
    00194 #define KEYBOARD_UP_F9                                          20010
    00195 #define KEYBOARD_UP_F10                                         20011
    00196 #define KEYBOARD_UP_F11                                         20012
    00197 #define KEYBOARD_UP_F12                                         20013
    00198 #define KEYBOARD_UP_EXP                                         20014
    00199 #define KEYBOARD_UP_1                                           20015
    00200 #define KEYBOARD_UP_2                                           20016
    00201 #define KEYBOARD_UP_3                                           20017
    00202 #define KEYBOARD_UP_4                                           20018
    00203 #define KEYBOARD_UP_5                                           20019
    00204 #define KEYBOARD_UP_6                                           20020
    00205 #define KEYBOARD_UP_7                                           20021
    00206 #define KEYBOARD_UP_8                                           20022
    00207 #define KEYBOARD_UP_9                                           20023
    00208 #define KEYBOARD_UP_0                                           20024
    00209 #define KEYBOARD_UP_ENTER                                       20025
    00210 #define KEYBOARD_UP_SPACE                                       20026
    00211 #define KEYBOARD_UP_RSHIFT                                      20027
    00212 #define KEYBOARD_UP_LSHIFT                                      20028
    00213 #define KEYBOARD_UP_ARROW_UP                            20029
    00214 #define KEYBOARD_UP_ARROW_DOWN                          20030
    00215 #define KEYBOARD_UP_ARROW_LEFT                          20031
    00216 #define KEYBOARD_UP_ARROW_RIGHT                         20032
    00217 #define KEYBOARD_UP_PAGE_UP                                     20033
    00218 #define KEYBOARD_UP_PAGE_DOWN                           20034
    00219 #define KEYBOARD_UP_HOME                                        20035
    00220 #define KEYBOARD_UP_END                                         20036
    00221 #define KEYBOARD_UP_INSERT                                      20037
    00222 #define KEYBOARD_UP_A                                           20038
    00223 #define KEYBOARD_UP_Z                                           20039
    00224 #define KEYBOARD_UP_E                                           20040
    00225 #define KEYBOARD_UP_R                                           20041
    00226 #define KEYBOARD_UP_T                                           20042
    00227 #define KEYBOARD_UP_Y                                           20043
    00228 #define KEYBOARD_UP_U                                           20044
    00229 #define KEYBOARD_UP_I                                           20045
    00230 #define KEYBOARD_UP_O                                           20046
    00231 #define KEYBOARD_UP_P                                           20047
    00232 #define KEYBOARD_UP_Q                                           20048
    00233 #define KEYBOARD_UP_S                                           20049
    00234 #define KEYBOARD_UP_D                                           20050
    00235 #define KEYBOARD_UP_F                                           20051
    00236 #define KEYBOARD_UP_G                                           20052
    00237 #define KEYBOARD_UP_H                                           20053
    00238 #define KEYBOARD_UP_J                                           20054
    00239 #define KEYBOARD_UP_K                                           20055
    00240 #define KEYBOARD_UP_L                                           20056
    00241 #define KEYBOARD_UP_M                                           20057
    00242 #define KEYBOARD_UP_W                                           20058
    00243 #define KEYBOARD_UP_X                                           20059
    00244 #define KEYBOARD_UP_C                                           20060
    00245 #define KEYBOARD_UP_V                                           20061
    00246 #define KEYBOARD_UP_B                                           20062
    00247 #define KEYBOARD_UP_N                                           20063
    00248 #define KEYBOARD_UP_M_A                                         20064
    00249 #define KEYBOARD_UP_M_Z                                         20065
    00250 #define KEYBOARD_UP_M_E                                         20066
    00251 #define KEYBOARD_UP_M_R                                         20067
    00252 #define KEYBOARD_UP_M_T                                         20068
    00253 #define KEYBOARD_UP_M_Y                                         20069
    00254 #define KEYBOARD_UP_M_U                                         20070
    00255 #define KEYBOARD_UP_M_I                                         20071
    00256 #define KEYBOARD_UP_M_O                                         20072
    00257 #define KEYBOARD_UP_M_P                                         20073
    00258 #define KEYBOARD_UP_M_Q                                         20074
    00259 #define KEYBOARD_UP_M_S                                         20075
    00260 #define KEYBOARD_UP_M_D                                         20076
    00261 #define KEYBOARD_UP_M_F                                         20077
    00262 #define KEYBOARD_UP_M_G                                         20078
    00263 #define KEYBOARD_UP_M_H                                         20079
    00264 #define KEYBOARD_UP_M_J                                         20080
    00265 #define KEYBOARD_UP_M_K                                         20081
    00266 #define KEYBOARD_UP_M_L                                         20082
    00267 #define KEYBOARD_UP_M_M                                         20083
    00268 #define KEYBOARD_UP_M_W                                         20084
    00269 #define KEYBOARD_UP_M_X                                         20085
    00270 #define KEYBOARD_UP_M_C                                         20086
    00271 #define KEYBOARD_UP_M_V                                         20087
    00272 #define KEYBOARD_UP_M_B                                         20088
    00273 #define KEYBOARD_UP_M_N                                         20089
    00274 #define KEYBOARD_UP__                                           20090
    00275 #define KEYBOARD_UP_2POINTS                                     20091
    00276 #define KEYBOARD_UP_POINT                                       20092
    00277 #define KEYBOARD_UP_BACKSPACE                           20093
    00278 #define KEYBOARD_UP_TAB                                         20094
    00279 #define KEYBOARD_UP_CTRL_U                                      20095
    00280 #endif //__EXCCOMMAND_H__